package org.artisanlogiciel.games;

/**
 DirectionPosition 

record direction and position ( direction as defined in LabyModel ).
 **/
public class DirectionPosition
{
    private short direction;
    private Position position;

    // (direction,position)
    DirectionPosition(short d, Position p)
    {
	direction=d;
	position=p;
    }

    short getDirection()
    {
	return direction;
    }

    Position getPosition()
    {
	return position;
    }

    public String toString()
    {
	if (position != null)
	    {
		return position.toString();
	    }
	return "?";
    }
	

}
